VTK: vtkExodusIIReaderVectorCheck Class Reference

| VTK 9.3.1

Public Member Functions | Protected Attributes | List of all members
vtkExodusIIReaderVectorCheck Class Reference

This looks for n-D vectors whose names are identical except for a single final character. More...

`#include <vtkExodusIIReaderVariableCheck.h>`

Inheritance diagram for vtkExodusIIReaderVectorCheck:
[legend]
Collaboration diagram for vtkExodusIIReaderVectorCheck:
[legend]

## Public Member Functions
| vtkExodusIIReaderVectorCheck (const char *seq, int n)
bool | StartInternal (std::string name, const int *, int) override
| Subclasses implement this and returns true if any more names are acceptable. More...
bool | Add (std::string name, const int *truth) override
| Add a name to the sequence. Returns true if any more names may be added. More...
std::vector< std::string >::size_type | Length () override
| Returns the length of the sequence (or 0 if the match is incorrect or incomplete). More...
Public Member Functions inherited from vtkExodusIIReaderVariableCheck
virtual bool | Start (std::string name, const int *truth, int numTruth)
| Initialize a sequence of names. Returns true if any more names are acceptable. More...
virtual int | Accept (std::vector< vtkExodusIIReaderPrivate::ArrayInfoType > &arr, int startIndex, vtkExodusIIReaderPrivate *priv, int objtyp)
| Accept this sequence. (Add an entry to the end of arr.) Must return Length(). More...

## Protected Attributes
std::string | Endings
bool | StillAdding
Protected Attributes inherited from vtkExodusIIReaderVariableCheck
int | GlomType
std::vector< int > | SeqTruth
std::string | Prefix
std::vector< std::string > | OriginalNames

## Additional Inherited Members
Protected Member Functions inherited from vtkExodusIIReaderVariableCheck
| vtkExodusIIReaderVariableCheck ()
virtual | ~vtkExodusIIReaderVariableCheck ()
bool | CheckTruth (const int *truth)
| Utility that subclasses may call from within Add() to verify that the new variable is defined on the same objects as other variables in the sequence. More...
bool | UniquifyName (vtkExodusIIReaderPrivate::ArrayInfoType &ainfo, std::vector< vtkExodusIIReaderPrivate::ArrayInfoType > &arrays)

## Detailed Description

This looks for n-D vectors whose names are identical except for a single final character.

Definition at line 61 of file vtkExodusIIReaderVariableCheck.h.

## Constructor & Destructor Documentation

## ◆ vtkExodusIIReaderVectorCheck()

vtkExodusIIReaderVectorCheck::vtkExodusIIReaderVectorCheck | ( | const char * | seq,
|  | int | n
| ) |  |

## Member Function Documentation

## ◆ StartInternal()

bool vtkExodusIIReaderVectorCheck::StartInternal | ( | std::string | name,
|  | const int * | truth,
|  | int | numTruth
| ) |  |
| overridevirtual

Subclasses implement this and returns true if any more names are acceptable.

Implements vtkExodusIIReaderVariableCheck.

## ◆ Add()

bool vtkExodusIIReaderVectorCheck::Add | ( | std::string | name,
|  | const int * | truth
| ) |  |
| overridevirtual

Add a name to the sequence. Returns true if any more names may be added.

Implements vtkExodusIIReaderVariableCheck.

## ◆ Length()

std::vector<std::string>::size_type vtkExodusIIReaderVectorCheck::Length | ( |  | ) |
| overridevirtual

Returns the length of the sequence (or 0 if the match is incorrect or incomplete).

Reimplemented from vtkExodusIIReaderVariableCheck.

## Member Data Documentation

## ◆ Endings

std::string vtkExodusIIReaderVectorCheck::Endings
| protected

Definition at line 70 of file vtkExodusIIReaderVariableCheck.h.

## ◆ StillAdding

bool vtkExodusIIReaderVectorCheck::StillAdding
| protected

Definition at line 71 of file vtkExodusIIReaderVariableCheck.h.

The documentation for this class was generated from the following file:

- IO/Exodus/vtkExodusIIReaderVariableCheck.h